/*
 * Copyright (C) 2011 David C. McCallum
 * For conditions of distribution and use, see the copyright notice in Dasyne.hpp
*/

#include "DFlushEvent.hpp"
#include "DDispatcher.hpp"

using namespace std;
using namespace libdasyne;

DFlushEvent::DFlushEvent(DEngine *newEngine,
                         DDispatcher *newClient) : DEvent(newEngine)
{
    client = newClient;
}//constructor

DFlushEvent::~DFlushEvent(void)
{
}//destructor

unsigned int DFlushEvent::update(void)
{
    int result = 0;//the number of events dispatched

    if (client->flush())
        result = 1;
    
    return result;
}//update
